# To allow POST on static pages
error_page  405     =200 $uri;
add_header                    X-Frame-Options "SAMEORIGIN";
add_header                    X-Content-Type-Options nosniff;
add_header                    X-XSS-Protection "1; mode=block";
add_header                    X-Robots-Tag none;
add_header                    X-Download-Options noopen;
add_header                    X-Permitted-Cross-Domain-Policies none;
add_header                    Strict-Transport-Security 'max-age=31536000; includeSubDomains;';
add_header                    Referrer-Policy no-referrer always;
    
%set %%locations = []
%for %%revprox in %%revprox_client_external_domainnames
  %set %%location = %%revprox.revprox_client_location
  %if %%location in %%locations
   %continue
  %end if
  %%locations.append(%%location)
location %%location {
  %if %%location == '/'
  root                        %slurp
  %else
  alias                       %slurp
  %end if
/usr/local/share/dotclear/;
  index                       index.php;
  location ~ ^(?<script_name>.+?\.php)(?<path_info>/.*)?$ {
    fastcgi_pass              php-fpm;
    fastcgi_index             index.php;
    fastcgi_param             SCRIPT_FILENAME $request_filename;
    include                   fastcgi_params;
  }
}
%end for
